Page MenuHomeFreeBSD

Avoid locking, manipulating vm_map for bogus address lookup
Changes PlannedPublic

Authored by dougm on Jun 8 2019, 9:10 PM.

Details

Reviewers
alc
kib
markj
Summary

vm_map_lookup is sometimes called with a vaddr argument outside the bounds of the vm_map. Detect that, and return KERN_INVALID_ADDRESS, without locking and altering the map.

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

dougm created this revision.Jun 8 2019, 9:10 PM
kib accepted this revision.Jun 8 2019, 9:20 PM
This revision is now accepted and ready to land.Jun 8 2019, 9:20 PM
markj accepted this revision.Jun 9 2019, 3:32 PM
dougm added a comment.Jun 9 2019, 3:52 PM

alc has demanded evidence that this test will be triggered in enough cases to justify its cost, so it will sit here until I can present such evidence.

dougm planned changes to this revision.Jun 14 2019, 9:36 PM